BlueGreenDeploymentsClient¶
-
class
oci.mysql.BlueGreenDeploymentsClient(config, **kwargs)¶ The API for the MySQL Database Service
Methods
__init__(config, **kwargs)Creates a new service client change_blue_green_deployment_compartment(…)Moves only the blue/green deployment wrapper resource into a different compartment. create_blue_green_deployment(…)Creates a blue/green deployment resource and its replication channel. delete_blue_green_deployment(…)Deletes only the blue/green deployment wrapper resource. get_blue_green_deployment(…)Gets a blue/green deployment by identifier. list_blue_green_deployments(compartment_id, …)Lists blue/green deployments in a compartment. switchover_blue_green_deployment(…)Initiates switchover for a blue/green deployment. update_blue_green_deployment(…)Updates mutable metadata for a blue/green deployment. -
__init__(config, **kwargs)¶ Creates a new service client
Parameters: - config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config() - service_endpoint (str) – (optional)
The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint. - timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
- signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argument - retry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here. - circuit_breaker_strategy (obj) – (optional)
A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level).
This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here. - circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
- client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
- allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
- enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
-
change_blue_green_deployment_compartment(blue_green_deployment_id, change_blue_green_deployment_compartment_details, **kwargs)¶ Moves only the blue/green deployment wrapper resource into a different compartment. This operation does not move the source DB system, target DB system, or replication channel referenced by the deployment. When provided, If-Match is checked against ETag values of the blue/green deployment.
Parameters: - blue_green_deployment_id (str) –
(required) The OCID of the blue/green deployment.
- change_blue_green_deployment_compartment_details (oci.mysql.models.ChangeBlueGreenDeploymentCompartmentDetails) – (required) Target compartment for a blue/green deployment.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the If-Match header to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use change_blue_green_deployment_compartment API.
- blue_green_deployment_id (str) –
-
create_blue_green_deployment(create_blue_green_deployment_details, **kwargs)¶ Creates a blue/green deployment resource and its replication channel.
Parameters: - create_blue_green_deployment_details (oci.mysql.models.CreateBlueGreenDeploymentDetails) – (required) Details for creating a blue/green deployment, including target DB System overrides.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeBlueGreenDeploymentReturn type: Example: Click here to see an example of how to use create_blue_green_deployment API.
-
delete_blue_green_deployment(blue_green_deployment_id, **kwargs)¶ Deletes only the blue/green deployment wrapper resource. This operation does not delete the source DB system, target DB system, or replication channel associated with the deployment.
Parameters: - blue_green_deployment_id (str) –
(required) The OCID of the blue/green deployment.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the If-Match header to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_blue_green_deployment API.
- blue_green_deployment_id (str) –
-
get_blue_green_deployment(blue_green_deployment_id, **kwargs)¶ Gets a blue/green deployment by identifier.
Parameters: - blue_green_deployment_id (str) –
(required) The OCID of the blue/green deployment.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- if_none_match (str) – (optional) For conditional requests. In the GET call for a resource, set the If-None-Match header to the value of the ETag from a previous GET (or POST or PUT) response for that resource. The server will return with either a 304 Not Modified response if the resource has not changed, or a 200 OK response with the updated representation.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeBlueGreenDeploymentReturn type: Example: Click here to see an example of how to use get_blue_green_deployment API.
- blue_green_deployment_id (str) –
-
list_blue_green_deployments(compartment_id, **kwargs)¶ Lists blue/green deployments in a compartment.
Parameters: - compartment_id (str) –
(required) The compartment OCID.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- limit (int) –
(optional) The maximum number of items to return in a paginated list call. For information about pagination, see List Pagination.
- page (str) –
(optional) The value of the opc-next-page or opc-prev-page response header from the previous list call. For information about pagination, see List Pagination.
- source_db_system_id (str) –
(optional) Source DB system OCID filter.
- target_db_system_id (str) –
(optional) Target DB system OCID filter.
- display_name (str) – (optional) Filters deployments by display name.
- lifecycle_state (str) –
(optional) Filters deployments by lifecycle state.
Allowed values are: “CREATING”, “ACTIVE”, “UPDATING”, “FAILED”, “DELETING”, “DELETED”
- sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Time fields are default ordered as descending. Display name is default ordered as ascending.
Allowed values are: “displayName”, “timeCreated”
- sort_order (str) –
(optional) The sort order to use (ASC or DESC).
Allowed values are: “ASC”, “DESC”
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeBlueGreenDeploymentCollectionReturn type: Example: Click here to see an example of how to use list_blue_green_deployments API.
- compartment_id (str) –
-
switchover_blue_green_deployment(blue_green_deployment_id, switchover_blue_green_deployment_details, **kwargs)¶ Initiates switchover for a blue/green deployment.
This action is asynchronous and supports idempotent retry only when the same opc-retry-token is reused for an equivalent switchover request on the same blue/green deployment. Equivalent request identity includes materially equivalent request parameters after applying defaults and preconditions, including the effective waitTimeInSeconds from the request body and the same If-Match value when provided. An empty switchover details body and a body that explicitly passes the default waitTimeInSeconds=300 are equivalent.
Requests that change If-Match or other material preconditions are treated as new requests and follow normal conflict (409) or precondition (412) handling instead of ordinary retry reuse.
Switchover outcome and partial/failure conditions are surfaced through lifecycleState, lifecycleDetails, switchoverStatus, and activeDbSystemId in the blue/green deployment resource.
When waitTimeInSeconds is omitted from the request body, the default wait time applies. The effective wait time provides upper bound guidance for waiting while the target DB System applies remaining replication changes during switchover processing.
Parameters: - blue_green_deployment_id (str) –
(required) The OCID of the blue/green deployment.
- switchover_blue_green_deployment_details (oci.mysql.models.SwitchoverBlueGreenDeploymentDetails) – (required) Details for switching over a blue/green deployment.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the If-Match header to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeBlueGreenDeploymentReturn type: Example: Click here to see an example of how to use switchover_blue_green_deployment API.
- blue_green_deployment_id (str) –
-
update_blue_green_deployment(blue_green_deployment_id, update_blue_green_deployment_details, **kwargs)¶ Updates mutable metadata for a blue/green deployment. Currently only displayName, freeformTags, and definedTags can be changed.
Parameters: - blue_green_deployment_id (str) –
(required) The OCID of the blue/green deployment.
- update_blue_green_deployment_details (oci.mysql.models.UpdateBlueGreenDeploymentDetails) – (required) Details for updating mutable metadata on a blue/green deployment.
- if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the If-Match header to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
- opc_request_id (str) – (optional) Customer-defined unique identifier for the request. If you need to contact Oracle about a specific request, please provide the request ID that you supplied in this header with the request.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use update_blue_green_deployment API.
- blue_green_deployment_id (str) –
-